﻿function onLocationEnd(e) {
    // ZL・表示範囲を送る
    sendLocation();
}

function sendLocation() {
    var bounds = map.getBounds();
    var zoom = map.getZoom();
    if (typeof window.external.OnMoveEnd !== "undefined") {
        window.external.OnMoveEnd(bounds.getNorth(), bounds.getWest(), bounds.getSouth(), bounds.getEast(), zoom);
    }
}

function onClickFeature(e) {
    // クリックしたポイントの座標を送る
    if (typeof window.external.OnClickFeature !== "undefined") {
        window.external.OnClickFeature(e.target.layerKey, e.target.featureKey, e.latlng.lat, e.latlng.lng);
    }
}

function mouseMove(e) {
    if (typeof window.external.OnMouseMove !== "undefined") {
        window.external.OnMouseMove(e.latlng.lat, e.latlng.lng);
    }
}

function onClick(e) {
    if (typeof window.external.OnClick !== "undefined") {
        window.external.OnClick(e.latlng.lat, e.latlng.lng);
    }
}